import { EventEmitter } from '@angular/core';
import { SaffronActionColumnData } from '../models/_02-saffron-action-column-data';
import { SaffronColumnType } from '../models/_04-saffron-column-type';
import * as i0 from "@angular/core";
export declare class SaffronTableDataCellComponent {
    data: any;
    columnType: number;
    actionColumnData?: SaffronActionColumnData[];
    isDataClickable?: boolean;
    actionClicked: EventEmitter<SaffronActionColumnData>;
    dataClicked: EventEmitter<void>;
    SaffronColumnType: typeof SaffronColumnType;
    constructor();
    onActionClicked(actionColumnData: SaffronActionColumnData): void;
    onDataClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronTableDataCellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronTableDataCellComponent, "saffron-table-data-cell", never, { "data": { "alias": "data"; "required": false; }; "columnType": { "alias": "columnType"; "required": false; }; "actionColumnData": { "alias": "actionColumnData"; "required": false; }; "isDataClickable": { "alias": "isDataClickable"; "required": false; }; }, { "actionClicked": "actionClicked"; "dataClicked": "dataClicked"; }, never, never, true, never>;
}
