import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { SaffronActionColumnData } from '../models/_02-saffron-action-column-data';
import { SaffronTableSortState } from '../models/_10-saffron-table-sort-state';
import { SaffronTableColumn } from '../models/_06-saffron-table-column';
import { SaffronActionColumnEvent } from '../models/_03-saffron-action-column-event';
import { SaffronTableDataClick } from '../models/_07-saffron-table-data-click';
import * as i0 from "@angular/core";
export declare class SaffronTableWrapperComponent<T> implements OnChanges {
    rows: any[];
    columns: SaffronTableColumn[];
    stickyHeader: boolean;
    actionClicked: EventEmitter<SaffronActionColumnEvent>;
    sortStateChanged: EventEmitter<SaffronTableSortState[]>;
    dataClicked: EventEmitter<SaffronTableDataClick<T>>;
    tableHeaders: string[];
    sortedColumns: SaffronTableSortState[];
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    private onColumnChange;
    private resetSort;
    onSortStateChange(columnIndex: number, sortState: SaffronTableSortState): void;
    onActionClicked(actionColumnData: SaffronActionColumnData, rowIndex: number, rowData: T): void;
    onDataClicked(column: SaffronTableColumn, row: T, rowIndex: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronTableWrapperComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronTableWrapperComponent<any>, "saffron-table-wrapper", never, { "rows": { "alias": "rows"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "stickyHeader": { "alias": "stickyHeader"; "required": false; }; }, { "actionClicked": "actionClicked"; "sortStateChanged": "sortStateChanged"; "dataClicked": "dataClicked"; }, never, never, true, never>;
}
