import { OnChanges, SimpleChanges, EventEmitter, TemplateRef } from '@angular/core';
import { SaffronTabData } from './models/saffron-tab-data';
import * as i0 from "@angular/core";
export declare class SaffronTabViewComponent implements OnChanges {
    tabData: SaffronTabData[];
    tabTemplates: TemplateRef<any>[];
    tabClicked: EventEmitter<SaffronTabData>;
    activeTabIndex: number;
    activeTabTemplate: TemplateRef<any> | null;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    onTabClick(clickedTab: SaffronTabData, activeTabIndex: number): void;
    private setActiveTab;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronTabViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronTabViewComponent, "saffron-tab-view", never, { "tabData": { "alias": "tabData"; "required": false; }; "tabTemplates": { "alias": "tabTemplates"; "required": false; }; }, { "tabClicked": "tabClicked"; }, never, never, true, never>;
}
