import { OnInit, EventEmitter } from '@angular/core';
import { MatDialogConfig } from '@angular/material/dialog';
import { FormGroup } from '@angular/forms';
import { SaffronAdvancedFilterModel } from '../models/saffron-advanced-filter.model';
import { SaffronModalButton } from '../../_17-saffron-modal/models/saffron-modal-button';
import * as i0 from "@angular/core";
export declare class SaffronAdvancedFilterModalComponent implements OnInit {
    formGroup: FormGroup;
    set openModal(value: boolean);
    get openModal(): boolean;
    secondryFilters: SaffronAdvancedFilterModel[];
    openModalChange: EventEmitter<boolean>;
    customButtons: SaffronModalButton[];
    config: MatDialogConfig;
    inputTypes: number[];
    private _openModal;
    constructor();
    ngOnInit(): void;
    onModalAccept(): void;
    onModalCancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronAdvancedFilterModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronAdvancedFilterModalComponent, "saffron-advanced-filter-modal", never, { "formGroup": { "alias": "formGroup"; "required": false; }; "openModal": { "alias": "openModal"; "required": false; }; "secondryFilters": { "alias": "secondryFilters"; "required": false; }; }, { "openModalChange": "openModalChange"; }, never, never, true, never>;
}
