import { Observable, ReplaySubject } from 'rxjs';
import { Navigation } from './navigation.types';
import * as i0 from "@angular/core";
export declare class SaffronNavigationService {
    navigationReplaySubject: ReplaySubject<Navigation>;
    /**
     * Constructor
     */
    constructor();
    /**
     * Getter for navigation
     */
    get navigation$(): Observable<Navigation>;
    /**
     * Get all navigation data
     */
    get(): Observable<Navigation>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronNavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SaffronNavigationService>;
}
